#
# spec file for package plasma5-integration
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%bcond_without lang
Name:           plasma5-integration
Version:        5.9.4
Release:        3.1
# Full Plasma 5 version (e.g. 5.9.4)
%{!?_plasma5_bugfix: %global _plasma5_bugfix %{version}}
# Lasted ABI-stable Plasma (e.g. 5.8 in KF5, but 5.9.4 in KUF)
%{!?_plasma5_version: %global _plasma5_version %(echo %{_plasma5_bugfix} | awk -F. '{print $1"."$2}')}
Summary:        Plugins responsible for better integration of Qt applications in KDE Workspace
License:        GPL-2.0+
Group:          System/GUI/KDE
Url:            http://www.kde.org
Source:         http://download.kde.org/stable/plasma/%{version}/plasma-integration-%{version}.tar.xz
# PATCH-FIX-UPSTREAM
Patch100:       0001-Introduce-KDE_NO_GLOBAL_MENU-env-variable-to-disable.patch
# PATCH-FEATURE-OPENSUSE
Patch201:       Backport-dbus-menu-bar-to-Qt-5.6.2.patch
BuildRequires:  extra-cmake-modules >= 5.17.0
BuildRequires:  kf5-filesystem
BuildRequires:  libQt5Gui-private-headers-devel >= 5.5.0
BuildRequires:  cmake(Breeze) >= 5.8
BuildRequires:  cmake(KF5Config) >= 5.17.0
BuildRequires:  cmake(KF5ConfigWidgets) >= 5.17.0
BuildRequires:  cmake(KF5I18n) >= 5.17.0
BuildRequires:  cmake(KF5IconThemes) >= 5.17.0
BuildRequires:  cmake(KF5KIO) >= 5.17.0
BuildRequires:  cmake(KF5Notifications) >= 5.17.0
BuildRequires:  cmake(KF5Wayland) >= 5.5.0
BuildRequires:  cmake(KF5WidgetsAddons) >= 5.17.0
BuildRequires:  cmake(KF5WindowSystem) >= 5.17.0
BuildRequires:  cmake(Qt5DBus) >= 5.5.0
BuildRequires:  cmake(Qt5Widgets) >= 5.5.0
BuildRequires:  cmake(Qt5X11Extras) >= 5.5.0
BuildRequires:  libQt5PlatformSupport-private-headers-devel  >= 5.5.0
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xcursor)
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Plasma Integration is a set of plugins responsible for better
integration of Qt applications when running on a
KDE Plasma workspace.

Applications do not need to link to this directly.

%package plugin
Summary:        Plugins responsible for better integration of Qt applications in KDE Workspace
Group:          System/GUI/KDE
Requires:       hack-fonts
Requires:       noto-sans
%requires_eq libQt5Gui5
Recommends:     %{name}-plugin-lang

%description plugin
Plasma Integration is a set of plugins responsible for better
integration of Qt applications when running on a
KDE Plasma workspace.

Applications do not need to link to this directly.

%lang_package -n plasma5-integration-plugin
%prep
%setup -q -n plasma-integration-%{version}
%patch100 -p1
%if 0%{?sle_version} >= 120300
%patch201 -p1
%endif

%build
%cmake_kf5 -d build
%make_jobs

%install
%kf5_makeinstall -C build

%if %{with lang}
%find_lang plasmaintegration5
%endif

%files plugin
%defattr(-,root,root)
%doc COPYING*
%{_kf5_plugindir}/
%{_kf5_sharedir}/kconf_update/

%if %{with lang}
%files -n plasma5-integration-plugin-lang -f plasmaintegration5.lang
%endif

%changelog
* Tue Jul  4 2017 wbauer@tmo.at
- Move the Recommends: %%{name}-plugin-lang to the
  plasma5-integration-plugin sub package, otherwise the
  translations won't get installed as there is no main package
  (boo#1027925)
* Tue Jul  4 2017 fabian@ritter-vogt.de
- Actually apply the aforementioned patch (shouldn't the source validator
  have warned?)
* Wed Jun 21 2017 fabian@ritter-vogt.de
- Add patch to allow disabling the global menu by setting an env var:
  * 0001-Introduce-KDE_NO_GLOBAL_MENU-env-variable-to-disable.patch
* Thu Mar 23 2017 fabian@ritter-vogt.de
- Backport for 42.3 (boo#1026534):
  * Backport-dbus-menu-bar-to-Qt-5.6.2.patch
* Tue Mar 21 2017 fabian@ritter-vogt.de
- Update to 5.9.4
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/plasma-5.9.4.php
- Changes since 5.9.3:
  * [QDBusMenuBar] Connect to popupRequested signal
* Tue Feb 28 2017 fabian@ritter-vogt.de
- Update to 5.9.3
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/plasma-5.9.3.php
- Changes since 5.9.2:
  * None
* Tue Feb 14 2017 fabian@ritter-vogt.de
- Update to 5.9.2
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/plasma-5.9.2.php
- Changes since 5.9.1:
  * Do not treat filename in selection as URL
  * [KHintsSettings] Emit QGuiApplication::paletteChanged when run as QApplication
- Remove patches, now upstream:
  * 0001-Do-not-treat-filename-in-selection-as-URL.patch
* Sun Feb 12 2017 fabian@ritter-vogt.de
- Add patch to fix prefiling of filenames with colons (kde#376365):
  * 0001-Do-not-treat-filename-in-selection-as-URL.patch
* Tue Feb  7 2017 fabian@ritter-vogt.de
- Update to 5.9.1
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/plasma-5.9.1.php
- Changes since 5.9.0:
  * None
* Thu Jan 26 2017 fabian@ritter-vogt.de
- Update to 5.9.0
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/plasma-5.9.0.php
- Changes since 5.8.95:
  * Add workaround for QMenuBar::setVisible bug in 5.7.0
  * Include qdbusmenubar when compiling with Qt >5.7.0 in autotests
  * Fix warning when no initial directory is set.
  * Enable QDBusMenuBar when compiling with Qt 5.7.0
  * Backport test fix from master
  * Also disable dbusmenubar with Qt 5.7 in the unit test section
  * Remove my massive test debug from the stable branch
  * add extra include
  * Add explicit includes
  * Fix QtVersion check
  * Only use Qt's DBusMenuBar in Qt >= 5.7
  * Remove leftover debug
* Thu Jan 12 2017 fabian@ritter-vogt.de
- Update to 5.8.95 (Plasma 5.9 Beta)
  * New feature release
  * For more details please see:
    https://www.kde.org/announcements/plasma-5.8.95.php
- Changes:
  * Use DBusMenu if available.
  * Enable blurBehind effect if the window hints for it.
  * Is it taking too much in other tests and not in the testSaveOverwrite one?.
  * Add datetime to debug to try to figure out what's getting stuck.
  * Increase the timer from 500 to 5000 just in case CI got much slower.
  * Add lots of debug to testSaveOverwrite.
  * Fix regression in which the Save dialog appears as an Open dialog.
  * Fix compilation with Qt 5.8.
  * Install desktop file name on X11 windows.
  * Pass color scheme hint to Wayland compositor using window property.
  * Set color scheme X property in the X11Integration.
- Update BuildRequires:
  * Needs Qt5PlatformSupport's private headers now
- Remove patches, now upstream:
  * 0001-Fix-regression-in-which-the-Save-dialog-appears-as-a.patch
* Thu Jan  5 2017 fabian@ritter-vogt.de
- Add patch to fix regression in 5.8.5 (Save dialog appears as Open dialog)
  * 0001-Fix-regression-in-which-the-Save-dialog-appears-as-a.patch
* Tue Dec 27 2016 fabian@ritter-vogt.de
- Update to 5.8.5
  * New bugfix release
  * For more details please see:
    https://www.kde.org/announcements/plasma-5.8.5.php
* Wed Nov 23 2016 fabian@ritter-vogt.de
- Update to 5.8.4
  * New bugfix release
  * For more details please see:
    https://www.kde.org/announcements/plasma-5.8.4.php
* Thu Nov  3 2016 fabian@ritter-vogt.de
- Introduce new _plasma5_bugfix global for more fine-tuned dependencies
* Tue Nov  1 2016 fabian@ritter-vogt.de
- Update to 5.8.3
  * New bugfix release
  * For more details please see:
    https://www.kde.org/announcements/plasma-5.8.3.php
* Tue Oct 18 2016 fabian@ritter-vogt.de
- Update to 5.8.2
  * New bugfix release
  * For more details please see:
    https://www.kde.org/announcements/plasma-5.8.2.php
* Tue Oct 11 2016 fabian@ritter-vogt.de
- Update to 5.8.1
  * New bugfix release
  * For more details please see:
    https://www.kde.org/announcements/plasma-5.8.1.php
* Wed Oct  5 2016 fabian@ritter-vogt.de
- Add Source: URL back
* Thu Sep 29 2016 fabian@ritter-vogt.de
- Update to 5.8.0
  * New LTS feature release
  * For more details please see:
    https://www.kde.org/announcements/plasma-5.8.0.php
* Wed Sep 21 2016 fabian@ritter-vogt.de
- Use %%{_plasma5_version} again, define it if needed
* Thu Sep 15 2016 fabian@ritter-vogt.de
- Update to 5.7.95 (Plasma 5.8 Beta)
  * New LTS feature release
  * For more details please see:
    https://www.kde.org/announcements/plasma-5.7.95.php
* Tue Sep 13 2016 fabian@ritter-vogt.de
- Update to 5.7.5
  * New bugfix release
  * For more details please see:
    https://www.kde.org/announcements/plasma-5.7.5.php
* Fri Aug 26 2016 fabian@ritter-vogt.de
- Update to 5.7.4
  * New bugfix release
  * For more details please see:
    https://www.kde.org/announcements/plasma-5.7.4.php
* Tue Aug  2 2016 hrvoje.senjan@gmail.com
- Update to 5.7.3
  * New bugfix release
  * For more details please see:
    https://www.kde.org/announcements/plasma-5.7.3.php
* Wed Jul 20 2016 hrvoje.senjan@gmail.com
- Update to 5.7.2
  * New bugfix release
  * For more details please see:
    https://www.kde.org/announcements/plasma-5.7.2.php
* Wed Jul 13 2016 hrvoje.senjan@gmail.com
- Update to 5.7.1
  * New bugfix release
  * For more details please see:
    https://www.kde.org/announcements/plasma-5.7.1.php
* Thu Jun 30 2016 hrvoje.senjan@gmail.com
- Update to 5.7.0
  * New feature release
  * For more details please see:
    https://www.kde.org/announcements/plasma-5.7.0.php
* Sun May 15 2016 hrvoje.senjan@gmail.com
- Update to 5.6.4
  * New bugfix release
  * For more details please see:
    https://www.kde.org/announcements/plasma-5.6.4.php
* Tue Apr 19 2016 hrvoje.senjan@gmail.com
- Update to 5.6.3
  * New bugfix release
  * For more details please see:
    https://www.kde.org/announcements/plasma-5.6.3.php
* Tue Apr  5 2016 hrvoje.senjan@gmail.com
- Update to 5.6.2
  * New bugfix release
  * For more details please see:
    https://www.kde.org/announcements/plasma-5.6.2.php
* Wed Mar 30 2016 hrvoje.senjan@gmail.com
- Update to 5.6.1
  * New bugfix release
  * For more details please see:
    https://www.kde.org/announcements/plasma-5.6.1.php
* Sun Mar  6 2016 hrvoje.senjan@gmail.com
- Activate plasma5-integration package
